Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit FreeCAD for openSUSE:Factory
Hello community,

here is the log from the commit of package FreeCAD for openSUSE:Factory checked
in at 2019-04-05 11:57:22
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/FreeCAD (Old)
and /work/SRC/openSUSE:Factory/.FreeCAD.new.3908 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "FreeCAD"

Fri Apr 5 11:57:22 2019 rev:14 rq:688190 version:0.18

Changes:
--------
--- /work/SRC/openSUSE:Factory/FreeCAD/FreeCAD.changes 2019-03-18
10:39:24.955444282 +0100
+++ /work/SRC/openSUSE:Factory/.FreeCAD.new.3908/FreeCAD.changes
2019-04-05 12:00:38.646497451 +0200
@@ -1,0 +2,24 @@
+Mon Mar 25 08:01:35 UTC 2019 - Adrian Schröter <adrian@xxxxxxx>
+
+- add missing requires to six and vtk python modules (found via test suite)
+
+-------------------------------------------------------------------
+Mon Mar 18 12:34:53 UTC 2019 - Adrian Schröter <adrian@xxxxxxx>
+
+- Update to release 0.18
+ * NetGen FEM enabled
+ * 0001-find-openmpi2-include-files.patch added for openmpi2 support
+- Obsolete patches:
+ * 0001-Convert-deprecated-boost-signal-to-signals2.patch
+ * 0001-Use-GL_RGB32F-instead-of-GL_RGB32F_ARB.patch
+ * 0002-move-from-deprecated-boost.signals-to-boost.signals2.patch
+ * 0003-fix-blocking-of-SelectionObserver.patch
+ * fix-build-with-Qt5_11.diff
+ * fix-build.diff
+ * fix-draft-module-with-python3.patch
+ * fix-gcc8-build-failure.patch
+ *
get-rid-of-private-function-_PyImport_FixupBuiltin-for-FreeCAD-and-FreeCADGui-modules.patch
+ *
get-rid-of-private-function-_PyImport_FixupBuiltin-for-__FreeCADBase__-module.patch
+
+
+-------------------------------------------------------------------

Old:
----
0001-Convert-deprecated-boost-signal-to-signals2.patch
0001-Use-GL_RGB32F-instead-of-GL_RGB32F_ARB.patch
0002-move-from-deprecated-boost.signals-to-boost.signals2.patch
0003-fix-blocking-of-SelectionObserver.patch
FreeCAD-0.17.1545162057.e1db7bff8.obscpio
fix-build-with-Qt5_11.diff
fix-build.diff
fix-draft-module-with-python3.patch
fix-gcc8-build-failure.patch

get-rid-of-private-function-_PyImport_FixupBuiltin-for-FreeCAD-and-FreeCADGui-modules.patch

get-rid-of-private-function-_PyImport_FixupBuiltin-for-__FreeCADBase__-module.patch

New:
----
0001-find-openmpi2-include-files.patch
FreeCAD-0.18.obscpio

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ FreeCAD-test.spec ++++++
--- /var/tmp/diff_new_pack.RfT8Fq/_old 2019-04-05 12:00:44.414501220 +0200
+++ /var/tmp/diff_new_pack.RfT8Fq/_new 2019-04-05 12:00:44.418501223 +0200
@@ -17,7 +17,7 @@


Name: FreeCAD-test
-Version: 0.17.1545162057.e1db7bff8
+Version: 0.18
Release: 0
Summary: Meta source package that runs the FreeCAD testsuite when built
License: LGPL-2.0-or-later AND GPL-2.0-or-later
@@ -33,6 +33,7 @@

%build
export LC_ALL="C.utf-8"
+#FreeCAD --console --write-log --log-file=/tmp/FreeCAD.log --run-test 0 ||
exit 1
FreeCAD --console --run-test 0 || exit 1

%changelog

++++++ FreeCAD.spec ++++++
--- /var/tmp/diff_new_pack.RfT8Fq/_old 2019-04-05 12:00:44.446501241 +0200
+++ /var/tmp/diff_new_pack.RfT8Fq/_new 2019-04-05 12:00:44.454501246 +0200
@@ -16,6 +16,8 @@
#


+%define build_tar_ball 1
+
%define x_prefix %{_libdir}/%{name}

%if 0%{?suse_version} > 1500
@@ -25,45 +27,23 @@
%endif

Name: FreeCAD
-Version: 0.17.1545162057.e1db7bff8
+Version: 0.18
Release: 0
Summary: General Purpose 3D CAD Modeler
License: LGPL-2.0-or-later AND GPL-2.0-or-later
Group: Productivity/Graphics/CAD
Url: https://www.freecadweb.org/
+%if %{build_tar_ball}
Source0: %{name}-%version.tar.xz
+%endif
Source1: FreeCAD.sh
Source2: FreeCADCmd.sh
Source3: FreeCAD_shared_mimeinfo
-# python3 and generic compile fixes
-Patch1: fix-build.diff
-# runtime fix, submitted upstream
-Patch3: fix-draft-module-with-python3.patch
-# PATCH-FIX-UPSTREAM -- fix-build-with-Qt5_11.diff
-Patch4: fix-build-with-Qt5_11.diff
-# PATCH-FIX-UPSTREAM -- https://github.com/FreeCAD/FreeCAD/commit/8c08635d3
-Patch5:
get-rid-of-private-function-_PyImport_FixupBuiltin-for-__FreeCADBase__-module.patch
-# PATCH-FIX-UPSTREAM -- https://github.com/FreeCAD/FreeCAD/commit/b79e1bfee
-Patch6:
get-rid-of-private-function-_PyImport_FixupBuiltin-for-FreeCAD-and-FreeCADGui-modules.patch
-# PATCH-FIX-OPENSUSE - fix building on ARM with GLES Qt5
-Patch7: 0001-Use-GL_RGB32F-instead-of-GL_RGB32F_ARB.patch
-# PATCH-FIX-UPSTREAM --
https://github.com/FreeCAD/FreeCAD/commit/5ff383b46.patch
-Patch8: fix-gcc8-build-failure.patch
-%if %{with boost_signals2}
-# PATCH-FIX-UPSTREAM --
https://github.com/FreeCAD/FreeCAD/commit/26d7d747257f.patch
-Patch9: 0001-Convert-deprecated-boost-signal-to-signals2.patch
-# PATCH-FIX-UPSTREAM --
https://github.com/FreeCAD/FreeCAD/commit/f898eafd64f8.patch
-Patch10: 0002-move-from-deprecated-boost.signals-to-boost.signals2.patch
-# PATCH-FIX-UPSTREAM --
https://github.com/FreeCAD/FreeCAD/commit/c3014fc65f86.patch
-Patch11: 0003-fix-blocking-of-SelectionObserver.patch
-%endif
+Patch2: 0001-find-openmpi2-include-files.patch

# Test suite fails on 32bit and I don't want to debug that anymore
ExcludeArch: %ix86 %arm ppc s390 s390x

-BuildRequires: Coin-devel
-#BuildRequires: SoQt-devel
-
%if 0%{?suse_version} >= 1330
BuildRequires: libboost_filesystem-devel >= 1.55
BuildRequires: libboost_graph-devel >= 1.55
@@ -89,19 +69,26 @@
BuildRequires: freeglut-devel
BuildRequires: gcc-fortran
BuildRequires: git
-BuildRequires: hdf5-devel
+BuildRequires: glew-devel
+BuildRequires: hdf5-openmpi-devel
+# We use the internal smesh version with fixes atm
#BuildRequires: smesh-devel
BuildRequires: libXerces-c-devel
BuildRequires: libmed-devel
+BuildRequires: netgen-devel
+
BuildRequires: libspnav-devel
BuildRequires: make
-# we use upstream OpenCASCADE instead of oce atm
+# we use upstream OpenCASCADE instead of oce-devel atm
+BuildRequires: Coin-devel
+BuildRequires: libXi-devel
BuildRequires: occt-devel
BuildRequires: opencv-devel
BuildRequires: pkg-config

%if 0%{?suse_version} >= 1330
# Qt5 & python3
+BuildRequires: openmpi2-devel
BuildRequires: python3-devel
BuildRequires: python3-matplotlib
BuildRequires: python3-pyside2-devel
@@ -115,11 +102,15 @@
BuildRequires: pkgconfig(Qt5UiTools)
BuildRequires: pkgconfig(Qt5WebKit)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
+BuildRequires: pkgconfig(Qt5X11Extras)
Requires: python3-numpy
Requires: python3-pyside2
+Requires: python3-vtk
# For Arch & Draft workbench
Requires: python3-pivy
-# core dump if PySide is installed
+# For FEM workbench
+Requires: python3-six
+# core dump if PySide (version 1) is installed
Conflicts: python3-pyside
Conflicts: python-pyside
# reported to break FreeCAD here
@@ -172,7 +163,13 @@
This package contains the files needed for development with FreeCAD.

%prep
-%autosetup -p1
+%if %{build_tar_ball}
+%setup -q
+%else
+mv %_sourcedir/%name-%version %_builddir/%name-%version
+%setup -q -D -T 0
+%endif
+%patch2 -p1

# fix env-script-interpreter
sed -i '1c#!%{__python2}' \
@@ -195,7 +192,6 @@
# cmake macro would set standard libdir
# it needs an older specific zipios version
-DFREECAD_USE_EXTERNAL_ZIPIOS=TRUE

-# -fpermissive should become $RPM_OPT_FLAGS , but bugs ...
printenv
cmake \
-DCMAKE_INSTALL_PREFIX=%{_libdir}/%{name} \
@@ -206,15 +202,12 @@
-DOCC_INCLUDE_DIR=%{_includedir}/opencascade \
-DRESOURCEDIR=%{_datadir}/%{name} \
-DCMAKE_BUILD_TYPE=Release \
- -DCMAKE_CXX_FLAGS="-fpermissive -fno-strict-aliasing" \
+ -DCMAKE_CXX_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
%if 0%{?suse_version} >= 1330
-DPYTHON_EXECUTABLE=/usr/bin/python3 \
-DSHIBOKEN_INCLUDE_DIR=/usr/include/shiboken2/ \
-DPYSIDE_INCLUDE_DIR=/usr/include/PySide2/ \
-DBUILD_QT5=ON \
-%else
- -DPYCXX_INCLUDE_DIR:PATH=%{_includedir}/python2.7 \
- -DPYCXX_SOURCE_DIR:PATH=%{_datadir}/python2.7/CXX \
%endif
-DFREECAD_USE_EXTERNAL_PIVY:BOOL=TRUE \
-DBUILD_MESH_PART:BOOL=ON \
@@ -264,9 +257,6 @@
mkdir -p %{buildroot}%{_datadir}/pixmaps
mv %{buildroot}%{_datadir}/%{name}/freecad.xpm
%{buildroot}%{_datadir}/pixmaps/freecad.xpm

-# Install additional documentation files
-#install -pm 0644 ChangeLog.txt copying.lib %%{buildroot}%%{_docdir}/%%{name}/
-
%suse_update_desktop_file -c %{name} "%{name}" "3D CAD Modeler" %{name}
"freecad" Education Engineering

# Install mime type
@@ -312,7 +302,7 @@
%mime_database_postun

%files
-%license COPYING
+%license LICENSE
%doc ChangeLog.txt README.md
%{_bindir}/FreeCAD*
%doc %{_docdir}/%{name}/

++++++ 0001-find-openmpi2-include-files.patch ++++++
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 3ecfe23a6..1db9bf33e 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -717,7 +717,7 @@ endif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
add_compile_options(${OPENMPI_CFLAGS})
link_directories(${OPENMPI_LIBRARY_DIRS})
link_libraries(${OPENMPI_LIBRARIES})
- find_file(MpidotH mpi.h PATHS ${OPENMPI_INCLUDE_DIRS}
NO_DEFAULT_PATH)
+ find_file(MpidotH mpi.h PATHS ${OPENMPI_INCLUDE_DIRS}
/usr/lib64/mpi/gcc/openmpi2/include NO_DEFAULT_PATH)
if(NOT MpidotH)
message( WARNING "mpi.h was not found. Check for error
above.")
endif()
++++++ FreeCAD-0.17.1545162057.e1db7bff8.obscpio -> FreeCAD-0.18.obscpio ++++++
/work/SRC/openSUSE:Factory/FreeCAD/FreeCAD-0.17.1545162057.e1db7bff8.obscpio
/work/SRC/openSUSE:Factory/.FreeCAD.new.3908/FreeCAD-0.18.obscpio differ: char
49, line 1

++++++ FreeCAD.obsinfo ++++++
--- /var/tmp/diff_new_pack.RfT8Fq/_old 2019-04-05 12:00:44.530501296 +0200
+++ /var/tmp/diff_new_pack.RfT8Fq/_new 2019-04-05 12:00:44.530501296 +0200
@@ -1,5 +1,5 @@
name: FreeCAD
-version: 0.17.1545162057.e1db7bff8
-mtime: 1545162057
-commit: e1db7bff8ff36439373eb9a426567d8afe289c4d
+version: 0.18
+mtime: 1552397887
+commit: 690774c0effe4fd7b8d2b5e2fb2b8c8d145e21ce


++++++ _service ++++++
--- /var/tmp/diff_new_pack.RfT8Fq/_old 2019-04-05 12:00:44.582501331 +0200
+++ /var/tmp/diff_new_pack.RfT8Fq/_new 2019-04-05 12:00:44.582501331 +0200
@@ -2,8 +2,8 @@
<service name="obs_scm" mode="disabled">
<param name="url">https://github.com/FreeCAD/FreeCAD.git</param>
<param name="scm">git</param>
- <param name="revision">releases/FreeCAD-0-17</param>
- <param name="versionprefix">0.17</param>
+ <param name="revision">releases/FreeCAD-0-18</param>
+ <param name="version">0.18</param>
</service>
<service name="set_version" mode="disabled"/>



< Previous Next >
This Thread